
unit MDBEngine;

interface

uses
  Windows,
  Messages;

const
  WM_VMC_STATUS=WM_USER+$802;
  SS_VMC_DISPLAY=0;
  SS_VMC_VEND=1;
  EXE_INHIBIT=$40;
  EXE_FREEVEND=$80;
  EXE_VENDSUCCESS=0;
  EXE_VENDFAILURE=$80;

type VMC_SETUP=record
  lParam: longint;
  hParent: hwnd;
  lDevice: longint;
end;

type P_VMC_SETUP=^VMC_SETUP;

type VMC_DISPLAY=record
  lAmount: longint;
  lScaling: longint;
  lDecimals: longint;
  bExactChange: boolean;
end;

function DownloadTarget(lDevice: longint; lRetries: longint): boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutiveCreate(pSetup: P_VMC_SETUP): boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutiveDestroy: boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutiveControl(lControl: longint): boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutivePrice(lPrice: longint): boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutiveVend(lResult: longint): boolean;
  stdcall; external 'MDBEngine.dll';
function ExecutiveGetDisplay(var Display: VMC_DISPLAY): boolean;
  stdcall; external 'MDBEngine.dll';

implementation

end.

